package simulation;

import java.io.*;

public class MainSimulation extends GlobalSimulation {

	public static void main(String[] args) throws IOException {
		Event actEvent;
		EventList myEventList = new EventList();

		State actState = new State(myEventList);

		myEventList.InsertEvent(ARRIVAL, 0);
		myEventList.InsertEvent(MEASURE, 5);
		while (MainSimulation.time < 50000) {
			actEvent = myEventList.FetchEvent();
			MainSimulation.time = actEvent.eventTime;
			actState.TreatEvent(actEvent);
		}
		System.out.println("Mean number of customers: " + (double) actState.accumulated / actState.noMeasurements);
		System.out.println("Number of measurements done: " + actState.noMeasurements);
	}
}